Informix Server System Requirements

Product documentation


Abstract

This document describes the operating system requirements for the current releases of IBM® Informix® server.

Content

Last Modified: June 13, 2014

IBM Informix runs on most systems that have a UNIX, Linux, or Windows operating system, as well as the Mac OS X operating system.

Minimum disk space and memory requirements:

  • UNIX and Linux: 750 MB of disk space and 256 MB of memory.
  • Mac OS X: 750 MB of disk space and 512 MB of memory.
  • Windows: 600 MB of disk space and 256 MB of memory.

Many applications require substantially larger systems. Your IBM sales team can help optimize the hardware required for your application.

Related system requirements:
System requirements are listed by operating system (OS). In this document:

Platform: IBM AIX

Required hardware: IBM POWER (System p, System i, POWER blades)

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

The following codes are used in this table:
    F = 64-bit
    U = 32-bit
Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
AIX 5L 5.3 11.50.UC9
11.50.FC9
AIX 6.1 12.10.FC4
Minimum TL 4, Service Pack 3
11.70.FC8
Minimum TL 4, Service Pack 3
11.50.UC9
11.50.FC9
AIX 7.1 12.10.FC4 11.70.FC8 11.50.UC9
11.50.FC9



Platform: HP-UX (Itanium)

Required hardware: Itanium

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

The following code is used in this table:
    F = 64-bit


Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
HP-UX 11.23 11.50.FC9
HP-UX 11.31 12.10.FC4 11.70.FC8 11.50.FC9



Platform: HP-UX (PA-RISC)

Required hardware: PA-RISC

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

The following codes are used in this table:
    F = 64-bit
    H = 32-bit on HP PA-RISC 11.x and HP PA-RISC 11.x 64-bit


Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
HP-UX 11.11 11.70.FC8 11.50.FC9
11.50.HC9
HP-UX 11.23 11.70.FC8 11.50.FC9
11.50.HC9
HP-UX 11.31 11.70.FC8 11.50.FC9
11.50.HC9


Platform: Linux Intel

Required hardware: Intel x86, Intel Itanium, Intel EM64T, AMD64

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements. For Developer Edition, you can view the machine notes in the product download before you install.

The following codes are used in this table:
F = 64-bit
U = 32-bit
RHEL = RedHat Enterprise Linux

Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
RHEL 4 11.50.UC9
11.50.FC9
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.5​
RHEL 5 12.10.UC4
12.10.FC4
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
11.70.UC8
11.70.FC8
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.1
RHEL 6 12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.5
- Compiler 4.1.2
CentOS 6 12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
SuSE SLES 10 11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
SuSE SLES 11 12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.2
Asianux 2.0 11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.9
- Glibc version ​2.3.4
- Compiler 3.4.3
Asianux 3.0 12.10.UC4
12.10.FC4
Additional OS requirements:
- Minimum service pack 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
11.70.UC8
11.70.FC8
Additional OS requirements:
- Minimum service pack 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
Debian 4.0 11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.3.6
- Compiler 4.1.2
Debian 5.0 12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.26
- Glibc version ​2.7
- Compiler 4.3.2
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.26
- Glibc version ​2.7
- Compiler 4.3.2
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.26
- Glibc version ​2.7
- Compiler 4.3.2
Ubuntu 6.06.1 LTS 11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.15
- Glibc version ​2.3.6
- Compiler 4.0.3
Ubuntu 8.04 LTS 12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.24
- Glibc version ​2.7
- Compiler 4.2.4
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.24
- Glibc version ​2.7
- Compiler 4.2.4
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.24
- Glibc version ​2.7
- Compiler 4.2
Ubuntu 10.04 LTS
12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.32
- Glibc version ​2.11.1
- Compiler 4.4.3
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.32
- Glibc version ​2.11.1
- Compiler 4.4.3
Ubuntu 12.04 LTS 12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​3.2.0
- Glibc version ​2.15
- Compiler 4.6.3
openSuSE 11.1 Developer Edition only
12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9.2
- Compiler 4.3.2
Developer Edition only
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9.2
- Compiler 4.3.2
Developer Edition only
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9.2
- Compiler 4.3.2
openSuSE 11.2 Developer Edition only
12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version 2.6.31​
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version 2.6.31​
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version 2.6.31​
- Glibc version ​2.10.1
- Compiler 4.4.0
openSuSE 11.3 Developer Edition only
12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.34
- Glibc version ​2.11.2
- Compiler 4.5.0
Developer Edition only
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.34
- Glibc version ​2.11.2
- Compiler 4.5.0
Developer Edition only
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.34
- Glibc version ​2.11.2
- Compiler 4.5.0
Fedora 11 Developer Edition only
12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.29
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.29
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.29
- Glibc version ​2.10.1
- Compiler 4.4.0
Fedora 12 Developer Edition only
12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.31
- Glibc version ​2.11
- Compiler 4.4.2
Developer Edition only
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.31
- Glibc version ​2.11
- Compiler 4.4.2
Developer Edition only
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.31
- Glibc version ​2.11
- Compiler 4.4.2
Fedora 13 Developer Edition only
12.10.UC4
12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.33
- Glibc version ​2.12
- Compiler 4.4.4
Developer Edition only
11.70.UC8
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.33
- Glibc version ​2.12
- Compiler 4.4.4
Developer Edition only
11.50.UC9
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.33
- Glibc version ​2.12
- Compiler 4.4.4



Platform: Linux - IBM POWER

Required hardware: IBM POWER (System p, System i, POWER Blades)

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

The following codes are used in this table:
    F = 64-bit
    RHEL: RedHat Enterprise Linux
Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
RHEL 4 11.50.FC9
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.5​
RHEL 5 12.10.FC4
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
11.70.FC8
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.1
RHEL 6 12.10.FC4
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
11.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
11.50.FC9
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.5
- Compiler 4.1.2
SuSE SLES 10 11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
SuSE SLES 11 12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.2
Asianux 2.0 11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.9
- Glibc version ​2.3.4
- Compiler 3.4.3
Asianux 3.0 11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2


Platform: Linux - IBM System z

Required hardware: IBM eServer System z

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

The following codes are used in this table:
F = 64-bit
RHEL: RedHat Enterprise Linux

Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
RHEL 4 11.50.FC9
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.5​
RHEL 5 12.10.FC4
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
11.70.FC8
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.1
RHEL 6 12.10.FC4
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
11.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
SuSE SLES 10 11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
SuSE SLES 11 12.10.FC4
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
11.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
11.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.2


Platform: Mac OS X

Required hardware: Intel EM64T

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

The following code is used in this table:
    F = 64-bit
Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
Mac OS X 10.5.2 "Leopard" 11.70.FC4 11.50.FC9
Mac OS X 10.6 "Snow Leopard" 11.70.FC4 11.50.FC9


Platform: Solaris SPARC

Required hardware: SPARC
Informix is supported with or without Zones. For more information about Zones, see this PDF.

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

The following codes are used in this table:
    F = 64-bit
    U = 32-bit
Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
Solaris 9 11.50.UC9
11.50.FC9
Solaris 10 12.10.FC4
Minimum update 8 is required
11.70.FC8
Minimum update 6 is required
11.50.UC9
11.50.FC9
Solaris 11 12.10.FC4 11.70.FC8

Platform: Solaris x64

Required hardware: AMD AMD64, Intel EM64T
Informix is supported with or without Zones. For more information about Zones, see this PDF.

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

The following code is used in this table:
    F = 64-bit
Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
Solaris 10 12.10.FC4
Minimum update 8 is required
11.70.FC8
Minimum update 6 is required
11.50.FC9
Solaris 11 12.10.FC4 11.70.FC8


Platform: Windows

Required hardware: Intel x86, x64 (AMD AMD64, Intel EM64T)

The version numbers are links to the appropriate Machine Notes, which contain important information about additional OS requirements.

    The following codes are used in this table:
    T = 32-bit on Windows platforms
    F = 64 bit on x64 (AMD AMD64, Intel EM64T)
Operating System Version Informix 12.10 Informix 11.70 Informix 11.50
Windows 2003 12.10.TC4
12.10.FC4
Service pack 2 required
11.70.TC8
11.70.FC8
11.50.TC9
11.50.FC9
Windows 2008 12.10.TC4
12.10.FC4
11.70.TC8
11.70.FC8
11.50.TC9
11.50.FC9
Windows 2008 R2 (64-bit) 12.10.TC4
12.10.FC4
11.70.TC8
11.70.FC8
11.50.TC9
11.50.FC9
Windows 7 12.10.TC4
12.10.FC4
11.70.TC8
11.70.FC8
11.50.TC9
11.50.FC9
Windows Vista 12.10.TC4
12.10.FC4
11.70.TC8
11.70.FC8
11.50.TC9
11.50.FC9
Windows XP 12.10.TC4
12.10.FC4
Service pack 2 required
11.70.TC8
11.70.FC8
11.50.TC9
11.50.FC9
Windows 8 12.10.TC4
12.10.FC4
Windows 2012 12.10.TC4
12.10.FC4
Windows 2012 R2 12.10.TC4
12.10.FC4

Related information

Recommended Fixes for Informix Server Products
Download Informix
Informix Server 11.10 End of Support: 30 September 2012
Informix Server 10.00 End of Support: 30 September 2010
Informix Server 9.40 End of Support: 30 April 2009
Informix Server 7.31 End of Support: 30 September 2009

Copyright date

2014




Rate this page:

(0 users)Average rating

Document information


More support for:

Informix Servers

Software version:

11.5, 11.7, 12.1

Operating system(s):

AIX, HP-UX, Linux, Mac OS X, Solaris, Windows

Reference #:

7013343

Modified date:

2014-10-13

Translate my page

Machine Translation

Content navigation